Subject: Re: can't access PCIe card under sbc8548

From: wolfking <[email-masked]>
Date: Thu, 30 May 2013 00:19:29 -0700 (PDT)

hi, tiejun.chen:
  Thanks for replying.
  I tried to use ioremap too, but it doesn't work. The ioport_map method
succeeded
under mpc8641d which is also a ppc.
  In fact, I also tried using pci_iomap by imitating rtl8139's codes. The
rtl8139's BAR0 
is also a I/O mapped register and its code succeeded in accessing its
registers by 
using pci_iomap under sbc8548. But when I used pci_iomap for my PCIe card,
its
output is just the same with the method of using ioport_map. Any suggestion?

--
View this message in context: http://linuxppc.10917.n7.nabble.com/can-t-access-PCIe-card-under-sbc8548-tp71775p71782.html
Sent from the linuxppc-dev mailing list archive at Nabble.com.